[Esapi-user] Upgrade Guide for ESAPI 1.4 users

Chris Schmidt chris.schmidt at owasp.org
Wed Jul 13 17:00:31 EDT 2011


There really isn't - part of the justification is that the 2.0 API has 
been largely untouched for a year or more, with a few small exceptions. 
As far as signature changes, there are a few (Encoder.canonicalize being 
the biggie) but aside from the changes to the ESAPI Locator class, they 
should be backwards compatible. I can assure you that if you were to 
undertake such a task as creating a upgrade document would be much 
appreciated by the community. :)

Keep us posted on your progress regardless and feel free to hit us up 
with any questions you may have!

On 7/13/2011 2:45 PM, Rob Spremulli wrote:
> Now that 2.0 is finally released, is there any documentation regarding
> an upgrade path from 1.4 to 2.0?  Things like the ESAPI class have
> been modified to remove set methods, and I know there were major
> overhauls to the validators and encoders, which were extended in 1.4.
>
> Short of doing a diff of the source code, is there any guide for
> remediation of changes between 1.4 and 2.0?
> _______________________________________________
> Esapi-user mailing list
> Esapi-user at lists.owasp.org
> https://lists.owasp.org/mailman/listinfo/esapi-user



More information about the Esapi-user mailing list